#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( toolbar )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
install( FILES kfilereplace.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kfilereplacepart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kfilereplacepartui.rc DESTINATION ${DATA_INSTALL_DIR}/kfilereplacepart )
install( FILES kfilereplaceui.rc DESTINATION ${DATA_INSTALL_DIR}/kfilereplace )


##### libkfilereplacepart (module) ##############

tde_add_kpart( libkfilereplacepart AUTOMOC
  SOURCES
    commandengine.cpp configurationclasses.cpp
    kfilereplacepart.cpp kfilereplaceview.cpp
    kfilereplaceviewwdg.ui kaddstringdlg.cpp kaddstringdlgs.ui
    knewprojectdlg.cpp knewprojectdlgs.ui koptionsdlg.cpp
    koptionsdlgs.ui kfilereplacelib.cpp report.cpp
  LINK kio-shared kparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kfilereplace (executable) #################

tde_add_executable( kfilereplace AUTOMOC
  SOURCES
    kfilereplace.cpp main.cpp
  LINK kio-shared kparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
